### Constructor

# ICalGLib Attach new_from_data

since: 1.0

#### Declaration [src]

    ICalAttach*
    i_cal_attach_new_from_data (
      const gchar* data,
      GFunc free_fn,
      void* free_fn_data
    )

#### Description [src]

Creates a new `ICalAttach` from the data.

Available since: 1.0

#### Parameters

`data`

  Type: `const gchar*`

  The data used to create the `ICalAttach`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`free_fn`

  Type: `GFunc`

  The function used to free the data when the create `ICalAttach` is destroyed.

  The argument can be `NULL`.

`free_fn_data`

  Type: `void*`

  The userdata used for the free function `free_fn`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ICalAttach`

The newly created `ICalAttach`.

The caller of the function takes ownership of the data, and is responsible for freeing it.